| Method | POST |
|---|---|
| Endpoint | https://{{host}}/agentassist/api/public/analytics/account/{{accountId}}/v3/agentstatusdetails?limit=50&offset=0 |
| Content-Type | application/json |
| Authorization | auth: {{JWT_TOKEN}} See How to generate the JWT Token. |
| API Scope | SmartAssist Analytics |
Path Parameters
| Parameter | Description | Type |
|---|---|---|
host | Environment URL. For example, https://platform.kore.ai | String, required |
accountId | The account identifier. | String, required |
iId | Stream or application ID. For example, st-e19dd469-90f5-5655-b0b2-858de901xxxx | String, required |
Query Parameters
| Parameter | Description | Type |
|---|---|---|
limit | Number of result rows to return. Maximum: 50 | Integer, optional |
offset | Number of result rows to skip. Default: 0. | Integer, optional |
Sample Request
curl --location --request POST 'https://{{host}}/agentassist/api/public/analytics/account/63f07d26f04465685df4xxxx/v3/agentstatusdetails?limit=50&offset=0' \
--header 'auth: {{JWT_TOKEN}}' \
--header 'Content-Type: application/json' \
--header 'iId: st-e19dd469-90f5-5655-b0b2-858de901xxxx' \
--data-raw '{
"filter":{
"dateFilter":{
"date": "2023-04-13",
"timeZoneOffSet" : -330
}
}
}'
Request Body Parameters
| Parameter | Description | Type |
|---|---|---|
filter | Object with agents and date filter as fields. | String, required |
agents | Email IDs of the agents. | String, optional |
dateFilter | Object with start date, end date, and time zone offset as fields. | Number, required |
startDate | Start date for filtering records. Format: yyyy-mm-dd. For example, 2022-08-25. | Date, required |
endDate | End date for filtering records. Format: yyyy-mm-dd. For example, 2022-08-25. | Date, required |
timeZoneOffSet | Time zone offset. For example, -330, 630, -500. For US/New York use 300. Use - for time zones east of GMT; no sign for time zones west of GMT. | Number, required |
Sample Response
{
"hasMore": true,
"limit": 50,
"offset": 0,
"data": [
{
"userId": "u-3900adc6-bb88-5b91-849b-**********cb",
"aId": "a-b03c008-bd13-4a06-**********2a8a9",
"firstName": "agent",
"lastName": "17",
"email": "john.doe@example.com",
"customId": "",
"status": [
{
"primaryStatus": "AVAILABLE",
"secondaryStatus": "AVAILABLE",
"startTime": "2026-09-18T14:31:58",
"endTime": "2026-09-18T15:39:46",
"duration": "01:07:48"
}
],
"events": [
{
"type": "entry",
"at": "2026-09-18T09:00:51.886Z",
"ip": "10.32.130.10"
}
]
}
]
}
Response Body Parameters
| Field | Type | Description |
|---|---|---|
hasMore | Boolean | Indicates whether more records are available beyond the current response. |
limit | Integer | Maximum number of records returned in the response. |
offset | Integer | Number of records skipped before retrieving the current set of results. |
userId | String | Unique identifier of the user. |
aId | String | Unique identifier of the agent. |
firstName | String | Agent’s first name. |
lastName | String | Agent’s last name. |
email | String | Agent’s email address. |
customId | String | Custom identifier associated with the agent. |
status | Array | List of agent status records for the specified period. |
status.primaryStatus | String | Primary status of the agent. |
status.secondaryStatus | String | Secondary status of the agent. |
status.startTime | String | Date and time when the status period started in ISO 8601 format. |
status.endTime | String | Date and time when the status period ended in ISO 8601 format. |
status.duration | String | Total duration for the status period. |
events | Array | List of agent activity events. |
events.type | String | Type of event recorded. |
events.at | String | Date and time when the event occurred in ISO 8601 format. |
events.ip | String | IP address associated with the event. |